# eric7.EricNetwork.EricSslCertificatesDialog

Module implementing a dialog to show and edit all certificates.

### Global Attributes

None

### Classes

EricSslCertificatesDialog | Class implementing a dialog to show and edit all certificates.

### Functions

None

## EricSslCertificatesDialog

Class implementing a dialog to show and edit all certificates.

### Derived from

QDialog, Ui_EricSslCertificatesDialog

### Class Attributes

CertRole

### Class Methods

None

### Methods

EricSslCertificatesDialog | Constructor
__createCaCertificateEntry | Private method to create a CA certificate entry.
__createServerCertificateEntry | Private method to create a server certificate entry.
__exportCertificate | Private slot to export a certificate.
__getSystemCaCertificates | Private method to get the list of system certificates.
__importCertificate | Private method to read a certificate.
__populateCaCertificatesTree | Private slot to populate the CA certificates tree.
__populateServerCertificatesTree | Private slot to populate the server certificates tree.
__updateDefaultConfiguration | Private method to update the default SSL configuration.
on_caCertificatesTree_currentItemChanged | Private slot handling a change of the current item in the CA certificates list.
on_caDeleteButton_clicked | Private slot to delete the selected CA certificate.
on_caExportButton_clicked | Private slot to export the selected CA certificate.
on_caImportButton_clicked | Private slot to import server certificates.
on_caViewButton_clicked | Private slot to show data of the selected CA certificate.
on_serversCertificatesTree_currentItemChanged | Private slot handling a change of the current item in the server certificates list.
on_serversDeleteButton_clicked | Private slot to delete the selected server certificate.
on_serversExportButton_clicked | Private slot to export the selected server certificate.
on_serversImportButton_clicked | Private slot to import server certificates.
on_serversViewButton_clicked | Private slot to show data of the selected server certificate.

### Static Methods

None

#### EricSslCertificatesDialog (Constructor)

EricSslCertificatesDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### EricSslCertificatesDialog.__createCaCertificateEntry

__createCaCertificateEntry(cert)

Private method to create a CA certificate entry.

cert
  certificate to insert (QSslCertificate)

#### EricSslCertificatesDialog.__createServerCertificateEntry

__createServerCertificateEntry(server, cert)

Private method to create a server certificate entry.

server
  server name of the certificate (string)
cert
  certificate to insert (QSslCertificate)

#### EricSslCertificatesDialog.__exportCertificate

__exportCertificate(name, cert)

Private slot to export a certificate.

name (str)
  default file name without extension
cert (QByteArray)
  certificate to be exported encoded as PEM

#### EricSslCertificatesDialog.__getSystemCaCertificates

__getSystemCaCertificates()

Private method to get the list of system certificates.

Return:
  list of system certificates (list of QSslCertificate)

#### EricSslCertificatesDialog.__importCertificate

__importCertificate()

Private method to read a certificate.

Return:
  certificates read

Return Type:
  list of QSslCertificate

#### EricSslCertificatesDialog.__populateCaCertificatesTree

__populateCaCertificatesTree()

Private slot to populate the CA certificates tree.

#### EricSslCertificatesDialog.__populateServerCertificatesTree

__populateServerCertificatesTree()

Private slot to populate the server certificates tree.

#### EricSslCertificatesDialog.__updateDefaultConfiguration

__updateDefaultConfiguration()

Private method to update the default SSL configuration.

#### EricSslCertificatesDialog.on_caCertificatesTree_currentItemChanged

on_caCertificatesTree_currentItemChanged(current, previous)

Private slot handling a change of the current item in the CA certificates list.

current
  new current item (QTreeWidgetItem)
previous
  previous current item (QTreeWidgetItem)

#### EricSslCertificatesDialog.on_caDeleteButton_clicked

on_caDeleteButton_clicked()

Private slot to delete the selected CA certificate.

#### EricSslCertificatesDialog.on_caExportButton_clicked

on_caExportButton_clicked()

Private slot to export the selected CA certificate.

#### EricSslCertificatesDialog.on_caImportButton_clicked

on_caImportButton_clicked()

Private slot to import server certificates.

#### EricSslCertificatesDialog.on_caViewButton_clicked

on_caViewButton_clicked()

Private slot to show data of the selected CA certificate.

#### EricSslCertificatesDialog.on_serversCertificatesTree_currentItemChanged

on_serversCertificatesTree_currentItemChanged(current, previous)

Private slot handling a change of the current item in the server certificates list.

current
  new current item (QTreeWidgetItem)
previous
  previous current item (QTreeWidgetItem)

#### EricSslCertificatesDialog.on_serversDeleteButton_clicked

on_serversDeleteButton_clicked()

Private slot to delete the selected server certificate.

#### EricSslCertificatesDialog.on_serversExportButton_clicked

on_serversExportButton_clicked()

Private slot to export the selected server certificate.

#### EricSslCertificatesDialog.on_serversImportButton_clicked

on_serversImportButton_clicked()

Private slot to import server certificates.

#### EricSslCertificatesDialog.on_serversViewButton_clicked

on_serversViewButton_clicked()

Private slot to show data of the selected server certificate.

Up